- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# panos_op – execute arbitrary OP commands on PANW devices (e.g. show interface all)

New in version 2.5.

- DEPRECATED

- Synopsis

- Requirements

- Parameters

- Notes

- Examples

- Return Values

- Status

## DEPRECATED

Removed in Ansible

  version: 2.12

Why

  Consolidating code base.

Alternative

  Use https://galaxy.ansible.com/PaloAltoNetworks/paloaltonetworks instead.

## Synopsis

- This module will allow user to pass and execute any supported OP command on the PANW device.

## Requirements

The below requirements are needed on the host that executes this module.

- pan-python can be obtained from PyPI https://pypi.org/project/pan-python/

- pandevice can be obtained from PyPI https://pypi.org/project/pandevice/

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
api_key - |  | API key that can be used instead of username/password credentials.
cmd - / required |  | The OP command to be performed.
ip_address - / required |  | IP address (or hostname) of PAN-OS device or Panorama management console being configured.
password - / required |  | Password credentials to use for authentication.
username - | Default: "admin" | Username credentials to use for authentication.

## Notes

Note

- Checkmode is NOT supported.

- Panorama is NOT supported.

## Examples

    - name: show list of all interfaces
      panos_op:
        ip_address: '{{ ip_address }}'
        username: '{{ username }}'
        password: '{{ password }}'
        cmd: 'show interfaces all'

    - name: show system info
      panos_op:
        ip_address: '{{ ip_address }}'
        username: '{{ username }}'
        password: '{{ password }}'
        cmd: 'show system info'

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
stdout string | success | output of the given OP command as JSON formatted string Sample: {system: {app-release-date: 2017/05/01 15:09:12}}
stdout_xml string | success | output of the given OP command as JSON formatted string Sample: <response status=success><result><system><hostname>fw2</hostname>

## Status

- This module will be removed in version 2.12. [deprecated]

- For more information see DEPRECATED.

### Authors

- Ivan Bojer (@ivanbojer)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.